.link {
    display: inline-block;
    color: var(--primary-color);
    text-decoration: none;
    position: relative;
    margin-inline: 0.5rem;
    &:hover {
        color: var(--color-hard);
    }
    &::before {
        content: "";
        position: absolute;
        left: 0;
        bottom: -2px;
        width: 100%;
        height: 2px;
        background-color: var(--color-medium);
        opacity: 0.5;
    }
    &::after {
        content: "";
        position: absolute;
        left: 0;
        bottom: -2px;
        width: 100%;
        height: 2px;
        background-color: var(--color-hard);
        transform: scaleX(0);
        transform-origin: right;
        transition: transform 0.3s ease;
    }
    &:hover::after {
        transform: scaleX(1);
        transform-origin: left;
    }
}





.card-options { 
    --containers: 3;
    max-width: 1000px;
    border-radius: var(--border-radius-lg);
    background-color: #ffffff;
    display: grid;
    grid-template-columns: repeat(var(--containers), 1fr);
    grid-template-rows: auto auto auto auto;
    gap: 1rem;
    padding:2rem;
    margin: 1rem auto 0;
    
    .center-container {
        display: flex;
        justify-content: center;
        align-items: center;
        grid-column: 1 / -1;
    }

    & .card-option {
        border-radius: var(--border-radius-lg);
        cursor: pointer;
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: subgrid;
        grid-row: span 4;
        align-items: start;
        gap:0;
        
        & .image {
            grid-row: 1;
        }
        
        & .image img {
            width:100%;
            object-fit: cover;
            aspect-ratio: 6/5;
            border-radius: var(--border-radius);
        }
        
        & .content {
            display: grid;
            grid-template-columns: 1fr;
            grid-template-rows: subgrid;
            grid-row: 2 / span 3;

            & h3 {
                grid-row: 1;
                text-align: center;
                font-size: 2rem;
                font-weight: 600;
                color: #1f2937;
                margin: 3rem 0 0;
                position: relative;

                &::after {
                    content: '';
                    display: block;
                    width: 30%;
                    height: 5px;
                    background-color: var(--color-medium);
                    position: absolute;
                    top:-10px;
                    left: 50%;
                    transform: translateX(-50%);
                }
            }

            & p.description {
                grid-row: 2;
                margin: 0;
                padding:.5rem;
                font-size: 0.875rem;
                color: #4b5563;
            }
        }

        &.business .content h3::after {
            background-color: hsl(from var(--color-business) h s 90% / .5);
            transition: background-color 0.3s;
        }
        &.business:hover .content h3::after {
            background-color: hsl(from var(--color-business) h s 90% / .1);            
        }

        
        &.private .content h3::after {
            background-color: hsl(from var(--color-private) h s 70% / .9); 
        }

        &:hover .image img {
            box-shadow: 0 0 0 5px hsl(from var(--color-medium) h s 70% / .9);
            transition: box-shadow 0.3s;
        }
        &.business:hover .image img {
            box-shadow: 0 0 0 5px hsl(from var(--color-business) h s 70% / .9);
        }
        &.private:hover .image img {
            box-shadow: 0 0 0 5px var(--color-private); 
        }
    }
}






/* UI specific styles for the discance infographics */
.ui-box-distance {
    margin-top: 0.5rem;
    background-color: var(--color-subtle);
    padding: 1rem;
    border-radius: var(--border-radius);
    display:flex;
    gap:0.5rem;
    justify-content: space-between;
    flex-wrap: wrap;

    & .label {
        font-size: 0.75rem;
        color: #4b5563;
    }
    & .value {
        font-size: 0.875rem;
        font-weight: 500;
        color: #1f2937; 
    }
    & .ui-box-distance-bar {
        height: 6px;
        background-color: var(--color-medium);
        border-radius: 3px;
        overflow:hidden;
        width:100%;

        & .ui-box-distance-fill {
            height: 100%;
            background-color: var(--color-hard);
            border-radius: 3px 0 0 3px;
        }
    }
}

.modal-container {
    flex-direction: column;
    display: flex;
    justify-content: start;
    align-items: center;
    padding-top: 10vh;
    width:100dvw;
    height:100dvh;
}

.modal-divider {
    margin: 2rem auto 1rem;
    border: none;
    border-top: 1px solid var(--color-average);
    width:80%;
    
}

.modal {
    padding: 2rem;
    background-color:#fff;
    border-radius: var(--border-radius-lg);
    &[data-modal-size="small"] {
        width: min(400px, 100%);
    }
    &[data-modal-size="medium"] {
        width: min(600px, 100%);
    }
}






/* style for simple tabs */
        .tabs { 
            display: flex; 
            justify-content: center;
            gap: 3rem;
            margin-bottom: 1rem;
        }
        
        .tab-btn { 
            cursor: pointer; 
            background: none; 
            border: none; 
            outline: none; 
            position: relative;
            &::after {
                position: absolute;
                bottom: -6px;
                left: 50%;
                transform: translateX(-50%);
                content: "";
                width:50%;
                display: block;
                height: 4px;
                border-radius: 1px;
                background-color: transparent;
                transition: background-color 0.3s;
            }
            &:hover::after {
                background-color: var(--color-medium);
            }


            &.tab-btn.active { 
                font-weight: bold; 
            }
            &.tab-btn.active::after {
                background-color: var(--color-hard);
            }
        }

        .content.hidden { 
            display: none; 
        }

        .content.active { 
            display: block; 
        }